#!/usr/bin/ruby
 
require 'rubygems'
require 'bundler/setup'
require 'commander/import'
require 'net/http'
require 'json'
require 'terminal-table/import'
require 'pry'

program :name, "CLI IMDB"
program :version, '1.0.0'
program :description, 'A simple cli that get details IMDB'

command :run do |c|
  $title    = ask("Title your film:")
  url       = "http://www.omdbapi.com/?t=#{$title}&y=&plot=short&r=json"
  uri       = URI(url)
  response  = Net::HTTP.get(uri)
  output    = JSON.parse(response)
  rows = []
  output.each_with_index do |k, index|
  rows << [output.keys[index],output.values[index]]
  end

  unless response.nil?
    say_ok "This Result for #{$title }"
    say table(nil, *rows)
  else
    say_error "are you fuc^@ng id*&t!!"
  end
end

program :help, 'Author', 'zainalmustofa <zainalmustof@gmail.com>'

command :con do |c|
  c.option '--interval SECONDS', Integer, 'Interval in seconds'
  c.option '--timeout SECONDS', Integer, 'Timeout in seconds'
  c.action do |args, options|
    options.default \
      :interval => 2,
      :timeout  => 60
  end
end